<?php
/*
RocketCMS - PHP + SQLite-based CMS
Copyright (C) 2016 luuk2305

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
require_once "rocket/rocket.php";

if (isset($_GET["page"])) {
    global $page_path;
    $page_slug = htmlspecialchars($_GET["page"]);
    $page = "rocket/" . $page_path . $page_slug . ".md";
    $titlefile = $page_slug;
    global $page;
    global $titlefile;
} else {
    global $page_path;
    global $home;
    $page = "rocket/" . $page_path . $home . ".md";
    global $page;
    $titlefile = "home";
    global $titlefile;
}
$titlefile = "rocket/txt/" . $titlefile . ".txt";
$title = file_get_contents($titlefile);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title><?= $site->getTitle(); ?> &middot; <?= $title; ?></title>
    <link rel="stylesheet" type="text/css" href="rocket/themes/default/res/css/bootstrap.min.css">
    <style>
        .content {
            padding: 20px;
        }
    </style>
</head>
<body>
<div class="content">
    <nav class="navbar navbar-default">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a href="index.php" class="navbar-brand"><?= $site->getTitle(); ?></a>
        </div>
        <div class="collapse navbar-collapse" id="navbar">
            <ul class="nav navbar-nav navbar-right">
                <li><a href="index.php?page=home">Home</a></li>
                <?php
                if ($handle = opendir("rocket/" . $page_path)) {

                    /* This is the correct way to loop over the directory. */
                    while (false !== ($entry = readdir($handle))) {
                        if ($entry != "." && $entry != ".." && $entry != "home.md") {
                            $slug = str_replace(".md", "", $entry);
                            $titlefile2 = str_replace(".md", ".txt", $entry);
                            $titlefile2 = "rocket/txt/" . $titlefile2;
                            $title = file_get_contents($titlefile2);
                            echo "\t\t\t\t<li><a href=\"index.php?page=$slug\">$title</a></li>\n";
                        }
                    }

                    closedir($handle);
                }
                ?>
            </ul>
        </div>
    </nav>
    <?php
    global $page;
    $text = file_get_contents($page);
    echo $parsedownextra->text($text);
    ?>
</div>
<script src="//code.jquery.com/jquery-2.2.4.min.js"></script>
<script src="rocket/themes/default/res/js/bootstrap.min.js" type="text/javascript"></script>
</body>
</html>
